hpp-core: hpp::core::AllCollisionsValidationReport Struct Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
hpp::core::AllCollisionsValidationReport Struct Reference
Validation of configurations and paths

`#include <hpp/core/collision-validation-report.hh>`

Inheritance diagram for hpp::core::AllCollisionsValidationReport:
[legend]
Collaboration diagram for hpp::core::AllCollisionsValidationReport:
[legend]

## Public Member Functions
| AllCollisionsValidationReport ()
| AllCollisionsValidationReport (CollisionObjectConstPtr_t o1, CollisionObjectConstPtr_t o2, const coal::CollisionResult &r)
| AllCollisionsValidationReport (const CollisionPair_t &pair, const coal::CollisionResult &r)
virtual std::ostream & | print (std::ostream &os) const
| Write report in a stream.
Public Member Functions inherited from hpp::core::CollisionValidationReport
| CollisionValidationReport ()
| CollisionValidationReport (CollisionObjectConstPtr_t o1, CollisionObjectConstPtr_t o2, const coal::CollisionResult &r)
| CollisionValidationReport (const CollisionPair_t &pair, const coal::CollisionResult &r)
std::pair< std::string, std::string > | getObjectNames () const
Public Member Functions inherited from hpp::core::ValidationReport
virtual | ~ValidationReport ()

## Public Attributes
std::vector< CollisionValidationReportPtr_t > | collisionReports
Public Attributes inherited from hpp::core::CollisionValidationReport
CollisionObjectConstPtr_t | object1
| First object in collision.
std::string | objectName1
CollisionObjectConstPtr_t | object2
| Second object in collision.
std::string | objectName2
coal::CollisionResult | result
| coal collision results

## Detailed Description

Validate a configuration with respect to collision

## Constructor & Destructor Documentation

## ◆ AllCollisionsValidationReport() [1/3]

hpp::core::AllCollisionsValidationReport::AllCollisionsValidationReport | ( |  | ) |
| inline

## ◆ AllCollisionsValidationReport() [2/3]

hpp::core::AllCollisionsValidationReport::AllCollisionsValidationReport | ( | CollisionObjectConstPtr_t | o1,
|  | CollisionObjectConstPtr_t | o2,
|  | const coal::CollisionResult & | r
| ) |  |
| inline

## ◆ AllCollisionsValidationReport() [3/3]

hpp::core::AllCollisionsValidationReport::AllCollisionsValidationReport | ( | const CollisionPair_t & | pair,
|  | const coal::CollisionResult & | r
| ) |  |
| inline

## Member Function Documentation

## ◆ print()

virtual std::ostream & hpp::core::AllCollisionsValidationReport::print | ( | std::ostream & | os | ) | const
| inlinevirtual

Write report in a stream.

Reimplemented from hpp::core::CollisionValidationReport.

## Member Data Documentation

## ◆ collisionReports

std::vector<CollisionValidationReportPtr_t> hpp::core::AllCollisionsValidationReport::collisionReports

The documentation for this struct was generated from the following file:

- include/hpp/core/collision-validation-report.hh